bin_PROGRAMS = mirrordir pslogin copydir recursdir forward
noinst_PROGRAMS = mksock

mksock_SOURCES = mksock.c

mirrordir_SOURCES = mirrordir.c regex.c mirrordir.h exclude.c exclude.h \
	mostincludes.h hardlink.c cmdlineopt.c cmdlineopt.h \
	netrc.h netrc.c mad.c functions.c tar.c tar.h expand.c

forward_SOURCES = forward.c netrc.h netrc.c mad.c mad.h cmdlineopt.c \
	cmdlineopt.h

TESTS = chk

install-exec-hook:
	$(LN_S) -f $(bindir)/mirrordir $(bindir)/copydir
	$(LN_S) -f $(bindir)/mirrordir $(bindir)/recursdir
	$(LN_S) -f $(bindir)/mirrordir $(bindir)/pslogin

pslogin.o:
	@echo ""

recursdir.o:
	@echo ""

copydir.o:
	@echo ""

pslogin:
	$(LN_S) -f mirrordir pslogin

recursdir:
	$(LN_S) -f mirrordir recursdir

copydir:
	$(LN_S) -f mirrordir copydir

LDADD = ../vfs/libvfs.a ../diffie/libdiffie.la ../zlib/libmirrordirz.la

INCLUDES = -I$(top_srcdir) -DSYSCONFDIR=\""$(sysconfdir)"\"

mostincludes.h:
	$(LN_S) ../diffie/mostincludes.h mostincludes.h

all-redirect: mostincludes.h
	@echo

